# Auth

Authentication and authorization endpoints

 - [POST /auth/signup](https://docs.exolink.com/apis/exolink_api/auth/auth_signup.md): Register a new user account
 - [POST /auth/confirm](https://docs.exolink.com/apis/exolink_api/auth/auth_confirm.md): Confirm user registration with verification code
 - [POST /auth/login](https://docs.exolink.com/apis/exolink_api/auth/auth_login.md): Authenticate user, confirm multi-factor authentication and return access tokens
 - [POST /auth/refresh](https://docs.exolink.com/apis/exolink_api/auth/auth_refresh.md): Get new access token using refresh token
 - [POST /auth/forgot](https://docs.exolink.com/apis/exolink_api/auth/auth_forgot.md): Send password reset code to user email
 - [GET /auth/valid](https://docs.exolink.com/apis/exolink_api/auth/auth_valid.md): Check if the provided access token is valid
